##############################################################################
# Copyright (c) 2018 Nokia, Mirantis Inc., Enea AB and others.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Apache License, Version 2.0
# which accompanies this distribution, and is available at
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
---
### Nokia POD descriptor file ###

version: 1.0
details:
  pod_owner: Mika Rautakumpu
  contact: opnfv-public-lab-admin@list.nokia.com
  lab: Nokia Pharos Lab
  location: Espoo, Finland
  type: development
  link: https://wiki.opnfv.org/display/pharos/Nokia+Hosting
###########################################################

jumphost:
  name: nokiapod-jumpserver
  node:
    type: baremetal
    vendor: Intel
    model: E5-2680
    arch: x86_64
    cpus: 2
    cpu_cflags: broadwell
    cores: 14
    memory: 128G
  disks: &disks
    - name: 'disk1'
      disk_capacity: 1TB
      disk_type: hdd
      disk_interface: sata
      disk_rotation: 7200
    - name: 'disk2'
      disk_capacity: 1TB
      disk_type: hdd
      disk_interface: sata
      disk_rotation: 7200
  os: centos-7
  remote_params: &remote_params
    type: ipmi
    versions:
      - 1.0
      - 2.0
    user: admin
    pass: admin
  remote_management:
    <<: *remote_params
    address: 192.168.1.10
    mac_address: "54:ab:3a:14:11:e9"
  interfaces:
    - mac_address: "54:ab:3a:09:99:06"
      speed: 10gb
      features: 'dpdk|sriov'
      name: 'nic1'
    - mac_address: "54:ab:3a:09:99:05"
      speed: 10gb
      features: 'dpdk|sriov'
      name: 'nic2'
    - mac_address: "54:ab:3a:14:11:e8"
      speed: 10gb
      features: 'dpdk|sriov'
      name: 'nic3'
    - mac_address: "54:ab:3a:14:11:e7"
      speed: 10gb
      features: 'dpdk|sriov'
      name: 'nic4'
####################################################
nodes:
  - name: nokiapod-node1
    node: &nodeparams
      type: baremetal
      vendor: Intel
      model: E5-2680
      arch: x86_64
      cpus: 2
      cpu_cflags: broadwell
      cores: 14
      memory: 128G
    disks: *disks
    remote_management:
      <<: *remote_params
      address: 192.168.1.30
      mac_address: "54:ab:3a:13:72:9c"
    interfaces:
      - mac_address: "54:ab:3a:09:8b:84"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic1'
      - mac_address: "54:ab:3a:09:8b:83"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic2'
      - mac_address: "54:ab:3a:13:72:9b"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic3'
      - mac_address: "54:ab:3a:13:72:9a"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic4'
  ####################################################
  - name: nokiapod-node2
    node: *nodeparams
    disks: *disks
    remote_management:
      <<: *remote_params
      address: 192.168.1.31
      mac_address: "54:ab:3a:13:71:94"
    interfaces:
      - mac_address: "54:ab:3a:09:94:ea"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic1'
      - mac_address: "54:ab:3a:09:94:e9"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic2'
      - mac_address: "54:ab:3a:13:71:93"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic3'
      - mac_address: "54:ab:3a:13:71:92"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic4'
  ###################dummy###########################
  - name: nokiapod-node3
    node: *nodeparams
    disks: *disks
    remote_management:
      <<: *remote_params
      address: 192.168.1.32
      mac_address: "54:ab:3a:13:72:9d"
    interfaces:
      - mac_address: "54:ab:3a:09:8b:85"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic1'
      - mac_address: "54:ab:3a:09:8b:86"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic2'
      - mac_address: "54:ab:3a:13:72:9e"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic3'
      - mac_address: "54:ab:3a:13:72:9f"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic4'
  ####################################################
  - name: nokiapod-node4
    node: &nodeparamscomp
      type: baremetal
      vendor: Intel
      model: E5-2630
      arch: x86_64
      cpus: 2
      cpu_cflags: haswell
      cores: 8
      memory: 64G
    disks: &diskscont
      - name: 'disk1'
        disk_capacity: 800GB
        disk_type: ssd
        disk_interface: sata
        disk_rotation: 0
      - name: 'disk2'
        disk_capacity: 1TB
        disk_type: hdd
        disk_interface: sata
        disk_rotation: 7200
      - name: 'disk3'
        disk_capacity: 1TB
        disk_type: hdd
        disk_interface: sata
        disk_rotation: 7200
    remote_management:
      <<: *remote_params
      address: 192.168.1.20
      mac_address: "54:ab:3a:29:18:38"
    interfaces:
      - mac_address: "54:ab:3a:24:3b:e2"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic1'
      - mac_address: "54:ab:3a:24:3b:e1"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic2'
      - mac_address: "54:ab:3a:29:18:37"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic3'
      - mac_address: "54:ab:3a:29:18:36"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic4'
  ####################################################
  - name: nokiapod-node5
    node: *nodeparamscomp
    disks: *diskscont
    remote_management:
      <<: *remote_params
      address: 192.168.1.21
      mac_address: "54:ab:3a:16:84:45"
    interfaces:
      - mac_address: "54:ab:3a:24:3f:ac"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic1'
      - mac_address: "54:ab:3a:24:3f:ab"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic2'
      - mac_address: "54:ab:3a:16:84:44"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic3'
      - mac_address: "54:ab:3a:16:84:43"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic4'
  ####################################################
  - name: nokiapod-node6
    node: *nodeparamscomp
    disks: *diskscont
    remote_management:
      <<: *remote_params
      address: 192.168.1.22
      mac_address: "54:ab:3a:16:84:6f"
    interfaces:
      - mac_address: "54:ab:3a:24:41:be"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic1'
      - mac_address: "54:ab:3a:24:41:bd"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic2'
      - mac_address: "54:ab:3a:16:84:6e"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic3'
      - mac_address: "54:ab:3a:16:84:6d"
        speed: 10gb
        features: 'dpdk|sriov'
        name: 'nic4'

